// Created May 4, 2005 4:22:04 PM

/********************************************************************
 * Copyright © 2005 VHA. All rights reserved
 ********************************************************************/

package gov.va.med.esr.messaging.service.outbound;

import gov.va.med.fw.service.AbstractComponent;
import gov.va.med.fw.service.ServiceException;

/**
 * Initial javadoc for class MockOutboundProcessService. TODO - Add content here
 * 
 * @author DNS   BOHMEG
 */
public class MockOutboundProcessService extends AbstractComponent implements
		OutboundProcessService {

	public void processMessage(Object input) throws ServiceException {
		if (input instanceof Object[]) {
			Object[] args = (Object[]) input;
			for (int i = 0; i < args.length; i++)
				System.out
						.println("MockOutboundProcessService received input at index["
								+ i + "]: " + args[i]);
		} else
			System.out.println("MockOutboundProcessService received input: "
					+ input);
	}
}
